Send SMS
curl --request POST \
--url https://mobiska-api.stimuluzdev.com/send_sms \
--header 'Content-Type: application/json' \
--data '
{
"service_id": 123,
"sender_id": "<string>",
"msg_body": "<string>",
"recipient_number": [
{}
],
"unique_id": "<string>"
}
'import requests
url = "https://mobiska-api.stimuluzdev.com/send_sms"
payload = {
"service_id": 123,
"sender_id": "<string>",
"msg_body": "<string>",
"recipient_number": [{}],
"unique_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
service_id: 123,
sender_id: '<string>',
msg_body: '<string>',
recipient_number: [{}],
unique_id: '<string>'
})
};
fetch('https://mobiska-api.stimuluzdev.com/send_sms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response_code": "<string>",
"response_message": "<string>",
"response_data": {
"message_id": "<string>",
"status": "<string>"
}
}Account & Messaging
Send SMS
Send SMS messages to one or multiple recipients
POST
/
send_sms
Send SMS
Send SMS messages to one or multiple recipients using your SMS balance.
Request Body
integer
required
Your service identifier
string
required
Approved sender ID for the message
string
required
Content of the SMS message
array
required
Array of recipient phone numbers
string
required
Unique identifier for the message
Example Request
curl -X POST https://mobiska-api.stimuluzdev.com/send_sms \
-H "Authorization: Basic YOUR_ENCODED_API_KEYS" \
-H "Content-Type: application/json" \
-d '{
"service_id": 2,
"sender_id": "Mobiska",
"msg_body": "Welcome to Mobiska!\nYour account has been successfully created.",
"recipient_number": ["0541840988"],
"unique_id": "1"
}'
Response
string
Status code of the request
string
Human-readable status message
object
{
"response_code": "000",
"response_message": "Message sent successfully",
"response_data": {
"message_id": "MSG123456789",
"status": "sent"
}
}
⌘I